#pragma once

#include <string>

namespace dropshell {

class config {
    public:
        config();
        ~config();
        bool load_config();
        void save_config();

        bool is_config_set() const;

        bool get_local_config_directory(std::string& path) const;
        void init_local_config_directory(const std::string& path);

    private:
        std::string mLocalConfigPath;
};


config *get_global_config();

} // namespace dropshell 